Skip to main content
GET
/
{chainId}
/
transactions
/
{hash}
Get Transaction
curl --request GET \
  --url https://api.caminotreasury.com/v1/{chainId}/transactions/{hash} \
  --header 'x-api-key: <api-key>'
{
  "hash": "0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef",
  "chainId": 123,
  "status": "pending",
  "type": "deposit",
  "from": "<string>",
  "contract": "<string>",
  "token": "<string>",
  "amount": "<string>",
  "organizationId": "<string>",
  "walletId": 123,
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "receipt": {
    "chainId": 123,
    "hash": "<string>",
    "from": "<string>",
    "to": "<string>",
    "transactionIndex": 123,
    "blockHash": "<string>",
    "blockNumber": 123,
    "type": 123,
    "contractAddress": "<string>",
    "status": 123,
    "root": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

x-api-key
string
header
required

API key for authentication. Pass your key in the x-api-key header.

Path Parameters

chainId
integer
required

Blockchain chain ID

hash
string
required

Transaction hash

Pattern: ^0x[a-fA-F0-9]{64}$

Response

Transaction with receipt

hash
string
required

Transaction hash

Example:

"0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef"

chainId
integer
required

Blockchain chain ID

status
enum<string>
required

Transaction status

Available options:
pending,
confirmed,
failed
type
enum<string>
required

Transaction type

Available options:
deposit,
withdrawal,
yield,
approval,
other
from
string
required

Sender address

contract
string
required

Contract address that was called

token
string
required

ERC-20 token contract address

amount
string
required

Raw token amount (integer string)

organizationId
string
required

Organization ID

walletId
integer
required

Wallet ID

createdAt
string<date-time>
required

Creation timestamp

updatedAt
string<date-time>
required

Last update timestamp

receipt
object

On-chain receipt. Null if the transaction is not yet confirmed.